WoMax Documentation

# t_OMax_learn Struct Reference
[Max5 Externals, Factor Oracle structure, Data Sequence structure]

OMax.learn external. More...

Collaboration diagram for t_OMax_learn:
[legend]

List of all members.

## Public Attributes
t_object | ob
| Pointer to the object itself.
t_symbol * | oname
| Pointer to FO name.
O_DataType | datatype
| Type of data.
int | nbcoeffs
| Number of coefficients for spectral.
t_symbol * | dataname
| Pointer to Data Sequence name.
bool | obound
| Binding flag.
O_learner | builder
| Learner.
void * | stateout
| Outlet 0 (leftmost).
## Standard Max5 methodes
void * | OMax_learn_new (t_symbol *s, long argc, t_atom *argv)
| Object instantiation.
void | OMax_learn_free (t_OMax_learn *x)
| Object destruction.
void | OMax_learn_assist (t_OMax_oracle *x, void *b, long io, long index, char *s)
| Inlet/Outlet contextual information when patching in Max5.
## Internal routines
t_symbol * | OMax_learn_dataname (t_symbol *oname)
| Return Data Sequence name from FO name.
bool | OMax_learn_bind (t_OMax_learn *x)
| Bind the learner with FO and Data Sequence.
## Input/Output routines
void | OMax_learn_add (t_OMax_learn *x, t_symbol *s, short ac, t_atom *av)
| Add state in both FO and Data Structure.

## Detailed Description

OMax.learn external.

This external object handles the construction of both FO and Data Sequence in Max5

Definition at line 31 of file OMax.learn.c.

## Member Function Documentation

void OMax_learn_add | ( | t_OMax_learn * | x,
|  | t_symbol * | s,
|  | short | ac,
|  | t_atom * | av |
| ) |  |  |

Add state in both FO and Data Structure.

Remarks:
  Input message in Max5: `add`

Check for binding

Create new Data state from the input message

Add state to both structures

Add state to both structures

Add state to both structures

Output the index of the added state (identical in both structures)

Definition at line 218 of file OMax.learn.c.

Here is the call graph for this function:

bool OMax_learn_bind | ( | t_OMax_learn * | x | ) |

Bind the learner with FO and Data Sequence.

Remarks:
  Do this binding only once

Check if FO name points to an existing OMax.oracle object. If so, binds t_OMax_learn::oname with the actual FO structure (t_OMax_oracle::oracle member).

Do the same for Data Sequence with member t_OMax_learn::dataname and the related OMax.data object.

Definition at line 174 of file OMax.learn.c.

Here is the call graph for this function:

t_symbol * OMax_learn_dataname | ( | t_symbol * | oname | ) |

Return Data Sequence name from FO name.

Append `_data` to the FO name

Definition at line 163 of file OMax.learn.c.

void * OMax_learn_new | ( | t_symbol * | s,
|  | long | argc,
|  | t_atom * | argv |
| ) |  |  |

Object instantiation.

Check first argument of the Max5 object for a FO name.

Definition at line 92 of file OMax.learn.c.

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- OMax.learn.c